Skip to main content

createOrUpdateAzureBoardsIntegration

Create or update Azure Boards integration

createOrUpdateAzureBoardsIntegration(
input: CreateOrUpdateAzureBoardsIntegrationInput!
): CreateOrUpdateAzureBoardsIntegrationPayload

Arguments​

createOrUpdateAzureBoardsIntegration.input ● CreateOrUpdateAzureBoardsIntegrationInput! non-null input​

Parameters for CreateOrUpdateAzureBoardsIntegration

Type​

CreateOrUpdateAzureBoardsIntegrationPayload object​

Autogenerated return type of CreateOrUpdateAzureBoardsIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateAzureBoardsIntegration($input: CreateOrUpdateAzureBoardsIntegrationInput!) {\n createOrUpdateAzureBoardsIntegration(input: $input) { clientMutationId defectTrackerIntegration { id company { __typename } connectionHealth { __typename } } }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute